<script lang="ts" setup>
import type { Booking, Room } from '@/entities';
import { stringToColour } from '@/form-helpers';


const { bookings, data } = defineProps<{
  data: any
  bookings: { am: Booking | undefined, pm: Booking | undefined }
}>();


</script>

<template>

  <p>{{ data.date.getDate() }}</p>
  <div class="text-border text" v-if="bookings.am?.promo">
    <el-tag class="ml-1" effect="dark" :color="stringToColour(bookings.am.promo.name)">
      AM : {{ bookings.am.promo.name }}
    </el-tag>
  </div>
  <div class="text-border text" v-if="bookings.pm?.promo">
    <el-tag class="ml-1" effect="dark" :color="stringToColour(bookings.pm.promo.name)">
      PM : {{ bookings.pm.promo.name }}
    </el-tag>
  </div>

</template>

<style>

</style>